Bug 1473334 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by signal 5 (Xwayland failed to start, apparently as something else already had display :0) [NEEDINFO]
[abrt] gnome-shell: _g_log_abort(): gnome-shell killed by signal 5 (Xwayland ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0ae968eb09a75a8902072d9c15f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 09:59 EDT by Chen_Min_Chin
Modified: 2018-05-03 04:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
awilliam: needinfo? (tcfxfzoi)


Attachments (Terms of Use)
File: backtrace (33.63 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: core_backtrace (16.53 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: cpuinfo (823 bytes, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: dso_list (15.97 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: environ (1.51 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: maps (74.59 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: open_fds (2.07 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details
File: var_log_messages (742 bytes, text/plain)
2017-07-20 10:00 EDT, Chen_Min_Chin
no flags Details

  None (edit)
Description Chen_Min_Chin 2017-07-20 09:59:59 EDT
Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
journald_cursor: s=a68639c7f89843ddb69ce4662f4a1191;i=5487;b=04ed22cf147f4ea3a49d45a8a67342a1;m=49f5ba8;t=554b5af300de0;x=27b38cd51796fb41
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 _g_log_abort at gmessages.c:549
 #1 g_log_default_handler at gmessages.c:3036
 #4 meta_wayland_init at wayland/meta-wayland.c:353
 #5 meta_init at core/main.c:574
Comment 1 Chen_Min_Chin 2017-07-20 10:00:05 EDT
Created attachment 1301750 [details]
File: backtrace
Comment 2 Chen_Min_Chin 2017-07-20 10:00:07 EDT
Created attachment 1301751 [details]
File: cgroup
Comment 3 Chen_Min_Chin 2017-07-20 10:00:10 EDT
Created attachment 1301752 [details]
File: core_backtrace
Comment 4 Chen_Min_Chin 2017-07-20 10:00:14 EDT
Created attachment 1301753 [details]
File: cpuinfo
Comment 5 Chen_Min_Chin 2017-07-20 10:00:16 EDT
Created attachment 1301754 [details]
File: dso_list
Comment 6 Chen_Min_Chin 2017-07-20 10:00:19 EDT
Created attachment 1301755 [details]
File: environ
Comment 7 Chen_Min_Chin 2017-07-20 10:00:20 EDT
Created attachment 1301756 [details]
File: limits
Comment 8 Chen_Min_Chin 2017-07-20 10:00:25 EDT
Created attachment 1301757 [details]
File: maps
Comment 9 Chen_Min_Chin 2017-07-20 10:00:26 EDT
Created attachment 1301758 [details]
File: open_fds
Comment 10 Chen_Min_Chin 2017-07-20 10:00:29 EDT
Created attachment 1301759 [details]
File: proc_pid_status
Comment 11 Chen_Min_Chin 2017-07-20 10:00:33 EDT
Created attachment 1301760 [details]
File: var_log_messages
Comment 12 Adam Williamson 2017-12-15 22:28:41 EST
This looks like some kind of collision between X servers both trying to use display 0:

Jul 20 09:29:47 localhost.localdomain gnome-shell[1876]: Failed to apply DRM plane transform 0: Invalid argument
Jul 20 09:29:47 localhost.localdomain gnome-shell[1876]: failed to bind to /tmp/.X11-unix/X0: Address already in use

were you doing something somehow involving multiple X servers at the time? Have you hit this crash again since? Thanks!
Comment 13 javiertury 2017-12-22 20:29:58 EST
I just upgraded to Fedora 27. GDM wayland crashes and falls back to GDM Xorg.
Comment 14 Fedora End Of Life 2018-05-03 04:42:14 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.